Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.secure.internal
Class JACCConfiguration

    java.lang.Object
      org.hibernate.secure.internal.JACCConfiguration

    public class JACCConfiguration

extends Object

Adds Hibernate permissions to roles via JACC

Constructor Summary
`JACCConfiguration(String contextId)`

Method Summary
`void` | `addPermission(String role, String entityName, String action)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JACCConfiguration

    public JACCConfiguration(String contextId)
                      throws HibernateException

Throws:
  `HibernateException`

Method Detail

### addPermission

    public void addPermission(String role,
                              String entityName,
                              String action)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.